grread function

    
  Subscribe Topic

Rank: 1

OldForumPost

Newbie

posts: 0

Registered: 2012-1-14

Message 1 of 8

 grread function
12-05-2010 05:59 . am   |   View his/her posts only
hi all,

this is my first post here.
I'm actually trying to load some of my bunch of program in ZWCAD....
but unfortunatly....none work.

after testing some code, It seem that many LISP and VLISP function
not working.

example...


so my question is...
It is better to wait the next release or to spend time modifying all my routines ?

Rank: 5Rank: 5

Eric_ZWSOFT

posts: 13

Registered: 2011-7-18

Message 2 of 8

12-05-2010 09:21 . am   |   View his/her posts only


hi,Andrea,


thank you for youy feedback.
ZWCAD can support Vlisp and lisp very well. Especially in ZWCAD 2010 Beta version, this function is very convenient. If you have not downloaded this version, here is the link for you to have a try:

http://www.zwcad.org/DownFile.asp?DownType=1&ID=20

to be frankly ,i do not good at lisp and vlisp,
As to the program you mentioned, please send the Vlisp program with description to tech@zwcad.com . Our technical support team will try to find a solution for you ASAP.

BTW,the new version will be released in the end of this month.
Best Regards,
Eric

Rank: 1

OldForumPost

Newbie

posts: 0

Registered: 2012-1-14

Message 3 of 8

 grread function
12-05-2010 05:59 . am   |   View his/her posts only
Hi Eric,

thanks for your support.
the link you provide is broken.


For the version I have is...

Andrea2010-05-13 00:47:42

Rank: 5Rank: 5

Eric_ZWSOFT

posts: 13

Registered: 2011-7-18

Message 4 of 8

13-05-2010 11:09 . am   |   View his/her posts only
hi Andrea,
i am sorry that the link is broken.
since i do not good at lisp or vlisp, i feel sorry i can not help you .
but you can send your program with description or other problems to tech@zwcad.com ,our technical support team will reply you as soon as they receive you email.

Best Regards,
Eric

Rank: 1

OldForumPost

Newbie

posts: 0

Registered: 2012-1-14

Message 5 of 8

 grread function
12-05-2010 05:59 . am   |   View his/her posts only
already done few days ago..
but no answer.

thanks. ;-)

But I have better service in french release..
contact@zw-cad.fr

;-)

Andrea2010-05-14 00:33:38

Rank: 5Rank: 5

Eric_ZWSOFT

posts: 13

Registered: 2011-7-18

Message 6 of 8

14-05-2010 11:45 . am   |   View his/her posts only


hi,Andra,


i am sorry that you havn't received reponsed email.
since many of our technical support engineers are travelling abroad on bussiness , they may reply you as soon as they come back or see the email.
sorry for any inconvenience.


"But I have better service in french release.." do you mean that you have found the solution ?

Best Regards,
Eric

Rank: 1

OldForumPost

Newbie

posts: 0

Registered: 2012-1-14

Message 7 of 8

 grread function
12-05-2010 05:59 . am   |   View his/her posts only
[QUOTE=Eric]do you mean that you have found the solution ?

Not yet,...but they tell me that they work on it.
Wink

Rank: 1

john cena

Newbie

posts: 0

Registered: 2010-6-26

Message 8 of 8

20-05-2010 12:02 . pm   |   View his/her posts only
(defun GetExcel (ExcelFile$ SheetName$ MaxRange$ / Column# ColumnRow@ Data@ ExcelRange^

ExcelValue ExcelValue ExcelVariant^ MaxColumn# MaxRow# Range$ Row# Worksheet)
(if (= (type ExcelFile$) 'STR)
(if (not (findfile ExcelFile$))
(progn
(alert (strcat "Excel file " ExcelFile$ " not found."))
(exit)
);progn
);if
(progn
(alert "Excel file not specified.")
(exit)
);progn
);if
(gc)
(if (setq *ExcelApp% (vlax-get-object "Excel.Application"))
(progn
(alert "Close all Excel spreadsheets to continue!")
(vlax-release-object *ExcelApp%)(gc)
);progn
);if
(setq ExcelFile$ (findfile ExcelFile$))
(setq *ExcelApp% (vlax-get-or-create-object "Excel.Application"))
(vlax-invoke-method (vlax-get-property *ExcelApp% 'WorkBooks) 'Open ExcelFile$)
(if SheetName$
(vlax-for Worksheet (vlax-get-property *ExcelApp% "Sheets")
(if (= (vlax-get-property Worksheet "Name") SheetName$)
(vlax-invoke-method Worksheet "Activate")
);if
);vlax-for
);if
(if MaxRange$
(progn
(setq ColumnRow@ (ColumnRow MaxRange$))
(setq MaxColumn# (nth 0 ColumnRow@))
(setq MaxRow# (nth 1 ColumnRow@))
);progn
(progn
(setq CurRegion (vlax-get-property (vlax-get-property
(vlax-get-property *ExcelApp% "ActiveSheet") "Range" "A1") "CurrentRegion")
);setq
(setq MaxRow# (vlax-get-property (vlax-get-property CurRegion "Rows") "Count"))
(setq MaxColumn# (vlax-get-property (vlax-get-property CurRegion "Columns") "Count"))
);progn
);if
(setq *ExcelData@ nil)
(setq Row# 1)
(repeat MaxRow#
(setq Data@ nil)
(setq Column# 1)
(repeat MaxColumn#
(setq Range$ (strcat (Number2Alpha Column#)(itoa Row#)))
(setq ExcelRange^ (vlax-get-property *ExcelApp% "Range" Range$))
(setq ExcelVariant^ (vlax-get-property ExcelRange^ 'Value))
(setq ExcelValue (vlax-variant-value ExcelVariant^))
(setq ExcelValue
(cond
((= (type ExcelValue) 'INT) (itoa ExcelValue))
((= (type ExcelValue) 'REAL) (rtosr ExcelValue))
((= (type ExcelValue) 'STR) (vl-string-trim " " ExcelValue))
((/= (type ExcelValue) 'STR) "")
);cond
);setq
(setq Data@ (append Data@ (list ExcelValue)))
(setq Column# (1+ Column#))
);repeat
(setq *ExcelData@ (append *ExcelData@ (list Data@)))
(setq Row# (1+ Row#))
);repeat
(vlax-invoke-method (vlax-get-property *ExcelApp% "ActiveWorkbook") 'Close :vlax-False)
(vlax-invoke-method *ExcelApp% 'Quit)
(vlax-release-object *ExcelApp%)(gc)
(setq *ExcelApp% nil)
*ExcelData@
);defun GetExcel

==============================
Car Parts | Auto Parts

See also
X